Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.gnu
Interface GNUObjectIdentifiers

public interface GNUObjectIdentifiers

GNU project OID collection

{ iso(1) identifier-organization(3) dod(6) internet(1) private(4) } == IETF defined things

Field Summary
`static ASN1ObjectIdentifier` | `CRC` 1.3.6.1.4.1.11591.14 -- CRC algorithms
`static ASN1ObjectIdentifier` | `CRC32` 1.3.6.1.4.1.11591.14,1 -- CRC32
`static ASN1ObjectIdentifier` | `digestAlgorithm` 1.3.6.1.4.1.11591.12 -- digestAlgorithm
`static ASN1ObjectIdentifier` | `Ed25519` Ed25519Legacy for use with EdDSALegacy.
`static ASN1ObjectIdentifier` | `ellipticCurve` 1.3.6.1.4.1.11591.15 - ellipticCurve
`static ASN1ObjectIdentifier` | `encryptionAlgorithm` 1.3.6.1.4.1.11591.13 -- encryptionAlgorithm
`static ASN1ObjectIdentifier` | `GNU` 1.3.6.1.4.1.11591.1 -- used by GNU Radius
`static ASN1ObjectIdentifier` | `GnuPG` 1.3.6.1.4.1.11591.2 -- used by GNU PG
`static ASN1ObjectIdentifier` | `GnuRadar` 1.3.6.1.4.1.11591.3 -- GNU Radar
`static ASN1ObjectIdentifier` | `notation` 1.3.6.1.4.1.11591.2.1 -- notation
`static ASN1ObjectIdentifier` | `pkaAddress` 1.3.6.1.4.1.11591.2.1.1 -- pkaAddress
`static ASN1ObjectIdentifier` | `Serpent` 1.3.6.1.4.1.11591.13.2 -- Serpent
`static ASN1ObjectIdentifier` | `Serpent_128_CBC` 1.3.6.1.4.1.11591.13.2.2 -- Serpent-128-CBC
`static ASN1ObjectIdentifier` | `Serpent_128_CFB` 1.3.6.1.4.1.11591.13.2.4 -- Serpent-128-CFB
`static ASN1ObjectIdentifier` | `Serpent_128_ECB` 1.3.6.1.4.1.11591.13.2.1 -- Serpent-128-ECB
`static ASN1ObjectIdentifier` | `Serpent_128_OFB` 1.3.6.1.4.1.11591.13.2.3 -- Serpent-128-OFB
`static ASN1ObjectIdentifier` | `Serpent_192_CBC` 1.3.6.1.4.1.11591.13.2.22 -- Serpent-192-CBC
`static ASN1ObjectIdentifier` | `Serpent_192_CFB` 1.3.6.1.4.1.11591.13.2.24 -- Serpent-192-CFB
`static ASN1ObjectIdentifier` | `Serpent_192_ECB` 1.3.6.1.4.1.11591.13.2.21 -- Serpent-192-ECB
`static ASN1ObjectIdentifier` | `Serpent_192_OFB` 1.3.6.1.4.1.11591.13.2.23 -- Serpent-192-OFB
`static ASN1ObjectIdentifier` | `Serpent_256_CBC` 1.3.6.1.4.1.11591.13.2.42 -- Serpent-256-CBC
`static ASN1ObjectIdentifier` | `Serpent_256_CFB` 1.3.6.1.4.1.11591.13.2.44 -- Serpent-256-CFB
`static ASN1ObjectIdentifier` | `Serpent_256_ECB` 1.3.6.1.4.1.11591.13.2.41 -- Serpent-256-ECB
`static ASN1ObjectIdentifier` | `Serpent_256_OFB` 1.3.6.1.4.1.11591.13.2.43 -- Serpent-256-OFB
`static ASN1ObjectIdentifier` | `Tiger_192` 1.3.6.1.4.1.11591.12.2 -- TIGER/192

Field Detail

### GNU

    public static final ASN1ObjectIdentifier GNU

  1.3.6.1.4.1.11591.1 -- used by GNU Radius

### GnuPG

    public static final ASN1ObjectIdentifier GnuPG

  1.3.6.1.4.1.11591.2 -- used by GNU PG

### notation

    public static final ASN1ObjectIdentifier notation

  1.3.6.1.4.1.11591.2.1 -- notation

### pkaAddress

    public static final ASN1ObjectIdentifier pkaAddress

  1.3.6.1.4.1.11591.2.1.1 -- pkaAddress

### GnuRadar

    public static final ASN1ObjectIdentifier GnuRadar

  1.3.6.1.4.1.11591.3 -- GNU Radar

### digestAlgorithm

    public static final ASN1ObjectIdentifier digestAlgorithm

  1.3.6.1.4.1.11591.12 -- digestAlgorithm

### Tiger_192

    public static final ASN1ObjectIdentifier Tiger_192

  1.3.6.1.4.1.11591.12.2 -- TIGER/192

### encryptionAlgorithm

    public static final ASN1ObjectIdentifier encryptionAlgorithm

  1.3.6.1.4.1.11591.13 -- encryptionAlgorithm

### Serpent

    public static final ASN1ObjectIdentifier Serpent

  1.3.6.1.4.1.11591.13.2 -- Serpent

### Serpent_128_ECB

    public static final ASN1ObjectIdentifier Serpent_128_ECB

  1.3.6.1.4.1.11591.13.2.1 -- Serpent-128-ECB

### Serpent_128_CBC

    public static final ASN1ObjectIdentifier Serpent_128_CBC

  1.3.6.1.4.1.11591.13.2.2 -- Serpent-128-CBC

### Serpent_128_OFB

    public static final ASN1ObjectIdentifier Serpent_128_OFB

  1.3.6.1.4.1.11591.13.2.3 -- Serpent-128-OFB

### Serpent_128_CFB

    public static final ASN1ObjectIdentifier Serpent_128_CFB

  1.3.6.1.4.1.11591.13.2.4 -- Serpent-128-CFB

### Serpent_192_ECB

    public static final ASN1ObjectIdentifier Serpent_192_ECB

  1.3.6.1.4.1.11591.13.2.21 -- Serpent-192-ECB

### Serpent_192_CBC

    public static final ASN1ObjectIdentifier Serpent_192_CBC

  1.3.6.1.4.1.11591.13.2.22 -- Serpent-192-CBC

### Serpent_192_OFB

    public static final ASN1ObjectIdentifier Serpent_192_OFB

  1.3.6.1.4.1.11591.13.2.23 -- Serpent-192-OFB

### Serpent_192_CFB

    public static final ASN1ObjectIdentifier Serpent_192_CFB

  1.3.6.1.4.1.11591.13.2.24 -- Serpent-192-CFB

### Serpent_256_ECB

    public static final ASN1ObjectIdentifier Serpent_256_ECB

  1.3.6.1.4.1.11591.13.2.41 -- Serpent-256-ECB

### Serpent_256_CBC

    public static final ASN1ObjectIdentifier Serpent_256_CBC

  1.3.6.1.4.1.11591.13.2.42 -- Serpent-256-CBC

### Serpent_256_OFB

    public static final ASN1ObjectIdentifier Serpent_256_OFB

  1.3.6.1.4.1.11591.13.2.43 -- Serpent-256-OFB

### Serpent_256_CFB

    public static final ASN1ObjectIdentifier Serpent_256_CFB

  1.3.6.1.4.1.11591.13.2.44 -- Serpent-256-CFB

### CRC

    public static final ASN1ObjectIdentifier CRC

  1.3.6.1.4.1.11591.14 -- CRC algorithms

### CRC32

    public static final ASN1ObjectIdentifier CRC32

  1.3.6.1.4.1.11591.14,1 -- CRC32

### ellipticCurve

    public static final ASN1ObjectIdentifier ellipticCurve

  1.3.6.1.4.1.11591.15 - ellipticCurve

### Ed25519

    public static final ASN1ObjectIdentifier Ed25519

  Ed25519Legacy for use with EdDSALegacy.

  See Also:
    RFC9580 - ECC Curves for OpenPGP

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD